import sys
from collections import deque

graaf = []
kaidud = []  # alguses kõik tipud on käimata
tippude_arv = 0
jaotus = []

def loegraaf():
    global tippude_arv, graaf
    
    tippude_arv = int(sys.stdin.readline())
    graaf = [[] for k in range(tippude_arv)]

    for rida in sys.stdin:
        loend = [int(s) for s in rida.split()]
        tipp = loend[0]
        for i in range(1, len(loend)):
            graaf[tipp-1].append(loend[i]-1)


def jaota():
    jrkd =  deque([]);
    jrkd.append(0);
    jaotus[0] = 0;

    while (jrkd):
        u = jrkd.popleft()
        for v in graaf[u]:
            if (jaotus[v] == -1): # kui naaber ei ole veel jaotatud
                jaotus[v] = 1 - jaotus[u] # paneme talle teise väärtuse
                jrkd.append(v) # ja lisame järjekorda
            elif (jaotus[v] == jaotus[u]): # kui serv on kahe sama omadusega tipu vahel 
                return False # siis järelikult graaf ei ole kahealuseline
            # juhul, kui naaber on juba jaotatud, aga teist värvi, on kõik korras, jätkame
    return True;

loegraaf()
jaotus =[-1]*tippude_arv
if (jaota()):
    print("Graaf on kahealuseline")
else:
    print("Graaf ei ole kahealuseline")
