import sys
from collections import deque

# massiiv, mis on abiks arvutamisel, kuhu ratsu käia saab (st naabertippude leidmiseks graafis)
deltad = [[-2, -1], [-2, 1], [2, -1], [2, 1], [1, 2], [1, -2], [-1, 2], [-1, -2]]
dim = int(sys.stdin.readline())
ruutude_arv = dim*dim
kaidud = [[False]*dim for i in range(dim)]

s = sys.stdin.readline().split()

algus = ((ord(s[0][0]) - ord('a')), (ord(s[0][1]) - ord('1')))
lopp = ((ord(s[1][0]) - ord('a')), (ord(s[1][1]) - ord('1')))

jarjekord = deque([])

#Siin hoiame iga ruudu jaoks meeles lühima tee, kuidas sinna algusest sai.
teed = {}

jarjekord.append(algus)
kaidud[algus[0]][algus[1]] = True;
teed[algus] = chr(algus[0] + ord('a')) + chr(algus[1] + ord('1'))

while (jarjekord):
    ruut = jarjekord.popleft()
    if (lopp == ruut): # oleme jõudnud sihtkohta
        print(teed[ruut]) # väljastame tee
        sys.exit(0) # rohkem otsida pole vaja

    for d in deltad: # iga võimaliku käigu jaoks
        x = ruut[0] + d[0] 
        y = ruut[1] + d[1]
        if ((x >= 0) and (x < dim) and (y >= 0) and (y < dim) and # mängulaual
            not kaidud[x][y]): # ja käimata
            jarjekord.append((x, y))
            kaidud[x][y] = True              
            #Laiuti läbimise puhul kohe kui uuele ruudule jõuame, on see lühim  
            #võimalik tee servade arvu mõttes. Jätame selle tee meelde
            teed[(x, y)] = teed[ruut] + " " + chr(x + ord('a')) + chr(y + ord('1'))
print("EI SAA") # ei ole teed leidnud
